Bug 30227 - Replace the use of jQueryUI tabs on bibliographic detail page
Summary: Replace the use of jQueryUI tabs on bibliographic detail page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 29277
Blocks: 29226 30721
  Show dependency treegraph
 
Reported: 2022-03-04 17:08 UTC by Owen Leonard
Modified: 2022-05-09 15:18 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30227: Replace the use of jQueryUI tabs on bibliographic detail page (12.78 KB, patch)
2022-03-04 18:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30227: Replace the use of jQueryUI tabs on bibliographic detail page (12.78 KB, patch)
2022-03-21 15:26 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-03-04 17:08:02 UTC
As part of Bug 29226, "OMNIBUS: Replace the use of jQueryUI tabs," we should replace the use of the jQueryUI tabs component on the bibliographic detail page.
Comment 1 Owen Leonard 2022-03-04 18:28:35 UTC
Created attachment 131386 [details] [review]
Bug 30227: Replace the use of jQueryUI tabs on bibliographic detail page

This patch replaces jQueryUI tabs on the bibliographic detail page,
replacing them with Bootstrap tabs.

To test, apply the patch and locate a bibliographic record in the staff
client. Check the tabs on the detail page. Try to test as many
variations as possible:

- With and without holdings
- With and without descriptions (5** note fields)
- With alternate holdings (AlternateHoldingsField preference)
- With HTML5 media (see Preferences -> Enhanced content -> HTML5 media)
- With an associated suggestion
- With an associated subscription
- With acquisition information
- With local cover images
- With SeparateHoldings enabled
- With other editions available (FRBRizeEditions)
- With component parts
Comment 2 Jonathan Druart 2022-03-21 15:26:04 UTC
Created attachment 131982 [details] [review]
Bug 30227: Replace the use of jQueryUI tabs on bibliographic detail page

This patch replaces jQueryUI tabs on the bibliographic detail page,
replacing them with Bootstrap tabs.

To test, apply the patch and locate a bibliographic record in the staff
client. Check the tabs on the detail page. Try to test as many
variations as possible:

- With and without holdings
- With and without descriptions (5** note fields)
- With alternate holdings (AlternateHoldingsField preference)
- With HTML5 media (see Preferences -> Enhanced content -> HTML5 media)
- With an associated suggestion
- With an associated subscription
- With acquisition information
- With local cover images
- With SeparateHoldings enabled
- With other editions available (FRBRizeEditions)
- With component parts
Comment 3 Fridolin Somers 2022-03-25 21:02:05 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄